Subject: bug#14213: 24.3; Redraw artifacts with emacs cursor and highlighting

From: Chris Rose <[email-masked]>
Date: Tue, 16 Apr 2013 09:16:25 -0700

It's definitely possible; I vaguely remember taking an Xorg update around
that time on the x server side, so I'd be surprised if they were unrelated.

I'm pretty confident that this problem is localized to emacs, though; emacs
is the only application with which I experience the issue.

Some more possibly useful data:

The issue does not occur with emacsclient using the XQuartz server on my
OSX box, connected to the same daemon.

Xorg version (now) on my Ubuntu box:
aptitude show xserver-xorg
Package: xserver-xorg
State: installed
Automatically installed: no
Version: 1:7.6+12ubuntu2
Priority: optional
Section: x11
Maintainer: Ubuntu X-SWAT <[email-masked]>
Architecture: amd64
Uncompressed Size: 369 k
Depends: xserver-xorg-core (>= 2:1.11), xserver-xorg-video-all (>= 0~) |
xorg-driver-video, xserver-xorg-input-all (>= 0~) | xorg-driver-input,
xserver-xorg-input-evdev (>= 0~), libc6 (>= 2.7),
         xkb-data (>= 1.4), x11-xkb-utils
Recommends: libgl1-mesa-dri
Conflicts: xorg-renamed-package, xserver-xorg-renamed
Replaces: xorg-renamed-package, xserver-xorg-renamed
Provides: xserver, xserver-xorg-renamed
Provided by: xserver-xorg-lts-quantal
Description: X.Org X server

I will try today to find time to roll back to 24.2 and see if it occurs
there. I'll try 24.1 as well, if time permits.

On Tue, Apr 16, 2013 at 1:38 AM, Eli Zaretskii <[email-masked]> wrote:

> > From: Chris Rose <[email-masked]>
> > Date: Mon, 15 Apr 2013 23:53:32 -0700
> > Cc: [email-masked]
> >
> > I believe (but it'd be mildy awkward to test it) that it started at least
> > as early as 24.2.
>
> Is it possible that there was some change in your system configuration
> (hardware or software) that happened around the time you started
> seeing this?
>
> I mean, 24.2 was released last August; if it had such a glaring bug in
> the display code on a popular platform such as yours, we should have
> heard of it by now.  But I don't think any such problems were reported
> until now.
>
> One other thing to try is an unoptimized build (CFLAGS='-g3 -O0'),
> maybe it's a compiler issue (which version are you using, btw?).
>

-- 
Chris R.
======
Not to be taken literally, internally, or seriously.
Twitter: http://twitter.com/offby1